Changeset 2263


Ignore:
Timestamp:
Feb 13, 2016 12:02:06 AM (3 years ago)
Author:
tkr
Message:

Re-running the autotools

Location:
stable/2.9
Files:
7 edited

Legend:

Unmodified
Added
Removed
  • stable/2.9/Cbc/Makefile.in

    r2206 r2263  
    182182COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    183183COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    184 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    185 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    186184COIN_HAS_DYLP_FALSE = @COIN_HAS_DYLP_FALSE@
    187185COIN_HAS_DYLP_TRUE = @COIN_HAS_DYLP_TRUE@
     
    190188COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    191189COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    192 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    193 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    194190COIN_HAS_MIPLIB3_FALSE = @COIN_HAS_MIPLIB3_FALSE@
    195191COIN_HAS_MIPLIB3_TRUE = @COIN_HAS_MIPLIB3_TRUE@
     
    415411coin_doxy_usedot = @coin_doxy_usedot@
    416412coin_have_doxygen = @coin_have_doxygen@
    417 coin_have_latex = @coin_have_latex@
    418413datadir = @datadir@
    419414exec_prefix = @exec_prefix@
     
    497492# Files that are generated and should be cleaned with make distclean
    498493DISTCLEANFILES = $(am__append_3) $(VPATH_DISTCLEANFILES)
    499 DocFiles = README AUTHORS LICENSE 
     494DocFiles = README AUTHORS LICENSE
    500495DocInstallDir = $(datadir)/coin/doc/$(PACKAGE_NAME)
    501 COIN_HAS_DOXYGEN = @COIN_HAS_DOXYGEN_TRUE@TRUE
    502 COIN_HAS_LATEX = @COIN_HAS_LATEX_TRUE@TRUE
    503496all: all-recursive
    504497
     
    1000993        rm -f $(addlibsdir)/cbc_addlibs.txt
    1001994
    1002 doxygen-docs:
    1003         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    1004           if test -d "doxydoc/"; then \
    1005             doxygen doxydoc/doxygen.conf;\
    1006           fi;\
    1007         fi
    1008 
    1009 pdf-doxygen-docs: doxygen-docs
    1010         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    1011           if test -d "doxydoc/latex"; then \
    1012             if test "$(COIN_HAS_LATEX)" = TRUE; then \
    1013               cd doxydoc/latex;\
    1014               $(MAKE) pdf;\
    1015               cd -;\
    1016             fi;\
    1017           fi;\
    1018         fi
    1019 
    1020 clean-doxygen-docs:
    1021         if test -d "doxydoc/"; then \
    1022           cd doxydoc ;\
    1023           rm -rf html latex *.log *.tag;\
    1024         fi
    1025 
    1026 install-doxygen-docs: doxygen-docs
    1027         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    1028           if test -d "doxydoc/"; then \
    1029             test -d "$(DESTDIR)$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
    1030             $(INSTALL_DATA) @coin_doxy_tagname@ "$(DESTDIR)$(DocInstallDir)/@coin_doxy_tagname@";\
    1031             if test -f "doxydoc/latex/refman.pdf"; then \
    1032               $(INSTALL_DATA) doxydoc/latex/refman.pdf "$(DESTDIR)$(DocInstallDir)";\
    1033             fi;\
    1034             if test -d "doxydoc/html"; then \
    1035               test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
    1036               $(INSTALL_DATA) doxydoc/html/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc";\
    1037               $(INSTALL_DATA) doxydoc/html/search/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc/search";\
    1038             fi;\
    1039           fi;\
    1040         fi
    1041 
    1042 uninstall-doxygen-docs:
    1043         if test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/"; then \
    1044           rm -rf "$(DESTDIR)$(DocInstallDir)/doxydoc/"; \
    1045         fi
    1046         if test -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; then \
    1047           rm -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; \
    1048         fi
    1049 
    1050 all-doxygen-docs:
    1051         for dir in $(subdirs) ; do \
    1052           do_project=true;\
    1053           for proj in $(COIN_SKIP_DOXYGEN); do\
    1054             if test $$dir = $$proj; then\
    1055               do_project=false;\
    1056             fi;\
    1057           done;\
    1058           if test -r $$dir/doxydoc & $$do_project = true; then \
    1059             (cd $$dir ; $(MAKE) doxygen-docs) \
    1060           fi ; \
    1061         done ;
    1062 
    1063 clean-all-doxygen-docs:
    1064         for dir in $(subdirs) ; do \
    1065           if test -r $$dir/doxydoc ; then \
    1066             (cd $$dir ; $(MAKE) clean-doxygen-docs) \
    1067           fi ; \
    1068         done ;
    1069 
    1070 install-all-doxygen-docs: all-doxygen-docs
    1071         for dir in $(subdirs) ; do \
    1072           do_project=true;\
    1073           for proj in $(COIN_SKIP_DOXYGEN); do\
    1074             if test $$dir = $$proj; then\
    1075               do_project=false;\
    1076             fi;\
    1077           done;\
    1078           if test -r $$dir/doxydoc & $$do_project = true; then \
    1079             (cd $$dir ; $(MAKE) install-doxygen-docs) \
    1080           fi ; \
    1081         done ;
    1082 
    1083 uninstall-all-doxygen-docs:
    1084         for dir in $(subdirs) ; do \
    1085           if test -r $$dir/doxydoc ; then \
    1086             (cd $$dir ; $(MAKE) uninstall-doxygen-docs) \
    1087           fi ; \
    1088         done ;
    1089 
    1090 install-doc: $(DocFiles)
     995install-doc: $(DocFiles)
    1091996        test -z "$(DocInstallDir)" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)"
    1092997        for file in $(DocFiles); do \
    1093998          if test -f "$$file"; then dir=; else dir="$(srcdir)/"; fi; \
    1094999          if test -f "$$dir$$file"; then $(INSTALL_DATA) "$$dir$$file" "$(DESTDIR)$(DocInstallDir)/$$file"; fi; \
    1095         done 
     1000        done
    10961001
    10971002uninstall-doc:
  • stable/2.9/Cbc/configure

    r2261 r2263  
    473473#endif"
    474474
    475 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     475ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os ALWAYS_FALSE_TRUE ALWAYS_FALSE_FALSE have_svnversion CBC_SVN_REV CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP F77 FFLAGS ac_ct_F77 LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS PKG_CONFIG ac_ct_PKG_CONFIG COIN_HAS_PKGCONFIG_TRUE COIN_HAS_PKGCONFIG_FALSE COIN_PKG_CONFIG_PATH COIN_PKG_CONFIG_PATH_UNINSTALLED COINDEPEND_LIBS COINDEPEND_CFLAGS COINDEPEND_DATA COINDEPEND_DEPENDENCIES COINDEPEND_LIBS_INSTALLED COINDEPEND_CFLAGS_INSTALLED COINDEPEND_DATA_INSTALLED CBCLIB_CFLAGS CBCLIB_LIBS CBCLIB_PCLIBS CBCLIB_PCREQUIRES CBCLIB_DEPENDENCIES CBCLIB_CFLAGS_INSTALLED CBCLIB_LIBS_INSTALLED CBCGENERIC_CFLAGS CBCGENERIC_LIBS CBCGENERIC_PCLIBS CBCGENERIC_PCREQUIRES CBCGENERIC_DEPENDENCIES CBCGENERIC_CFLAGS_INSTALLED CBCGENERIC_LIBS_INSTALLED COIN_HAS_COINDEPEND_TRUE COIN_HAS_COINDEPEND_FALSE CLP_LIBS CLP_CFLAGS CLP_DATA CLP_DEPENDENCIES CLP_LIBS_INSTALLED CLP_CFLAGS_INSTALLED CLP_DATA_INSTALLED COIN_HAS_CLP_TRUE COIN_HAS_CLP_FALSE OSITESTS_LIBS OSITESTS_CFLAGS OSITESTS_DATA OSITESTS_DEPENDENCIES OSITESTS_LIBS_INSTALLED OSITESTS_CFLAGS_INSTALLED OSITESTS_DATA_INSTALLED COIN_HAS_OSITESTS_TRUE COIN_HAS_OSITESTS_FALSE SAMPLE_LIBS SAMPLE_CFLAGS SAMPLE_DATA SAMPLE_DEPENDENCIES SAMPLE_LIBS_INSTALLED SAMPLE_CFLAGS_INSTALLED SAMPLE_DATA_INSTALLED COIN_HAS_SAMPLE_TRUE COIN_HAS_SAMPLE_FALSE NETLIB_LIBS NETLIB_CFLAGS NETLIB_DATA NETLIB_DEPENDENCIES NETLIB_LIBS_INSTALLED NETLIB_CFLAGS_INSTALLED NETLIB_DATA_INSTALLED COIN_HAS_NETLIB_TRUE COIN_HAS_NETLIB_FALSE MIPLIB3_LIBS MIPLIB3_CFLAGS MIPLIB3_DATA MIPLIB3_DEPENDENCIES MIPLIB3_LIBS_INSTALLED MIPLIB3_CFLAGS_INSTALLED MIPLIB3_DATA_INSTALLED COIN_HAS_MIPLIB3_TRUE COIN_HAS_MIPLIB3_FALSE DYLP_LIBS DYLP_CFLAGS DYLP_DATA DYLP_DEPENDENCIES DYLP_LIBS_INSTALLED DYLP_CFLAGS_INSTALLED DYLP_DATA_INSTALLED COIN_HAS_DYLP_TRUE COIN_HAS_DYLP_FALSE VOL_LIBS VOL_CFLAGS VOL_DATA VOL_DEPENDENCIES VOL_LIBS_INSTALLED VOL_CFLAGS_INSTALLED VOL_DATA_INSTALLED COIN_HAS_VOL_TRUE COIN_HAS_VOL_FALSE CPX_LIBS CPX_CFLAGS CPX_DATA CPX_DEPENDENCIES CPX_LIBS_INSTALLED CPX_CFLAGS_INSTALLED CPX_DATA_INSTALLED COIN_HAS_CPX_TRUE COIN_HAS_CPX_FALSE GLPK_LIBS GLPK_CFLAGS GLPK_DATA GLPK_DEPENDENCIES GLPK_LIBS_INSTALLED GLPK_CFLAGS_INSTALLED GLPK_DATA_INSTALLED COIN_HAS_GLPK_TRUE COIN_HAS_GLPK_FALSE GRB_LIBS GRB_CFLAGS GRB_DATA GRB_DEPENDENCIES GRB_LIBS_INSTALLED GRB_CFLAGS_INSTALLED GRB_DATA_INSTALLED COIN_HAS_GRB_TRUE COIN_HAS_GRB_FALSE MSK_LIBS MSK_CFLAGS MSK_DATA MSK_DEPENDENCIES MSK_LIBS_INSTALLED MSK_CFLAGS_INSTALLED MSK_DATA_INSTALLED COIN_HAS_MSK_TRUE COIN_HAS_MSK_FALSE SPX_LIBS SPX_CFLAGS SPX_DATA SPX_DEPENDENCIES SPX_LIBS_INSTALLED SPX_CFLAGS_INSTALLED SPX_DATA_INSTALLED COIN_HAS_SPX_TRUE COIN_HAS_SPX_FALSE XPR_LIBS XPR_CFLAGS XPR_DATA XPR_DEPENDENCIES XPR_LIBS_INSTALLED XPR_CFLAGS_INSTALLED XPR_DATA_INSTALLED COIN_HAS_XPR_TRUE COIN_HAS_XPR_FALSE ASL_LIBS ASL_CFLAGS ASL_DATA ASL_DEPENDENCIES ASL_LIBS_INSTALLED ASL_CFLAGS_INSTALLED ASL_DATA_INSTALLED COIN_HAS_ASL_TRUE COIN_HAS_ASL_FALSE NTYINCDIR NTYLIB COIN_HAS_NTY_TRUE COIN_HAS_NTY_FALSE CBC_BUILD_CBC_GENERIC_TRUE CBC_BUILD_CBC_GENERIC_FALSE OSICBC_DFLT_SOLVER_CLP_TRUE OSICBC_DFLT_SOLVER_CLP_FALSE OSICBC_DFLT_SOLVER_CPX_TRUE OSICBC_DFLT_SOLVER_CPX_FALSE OSICBC_DFLT_SOLVER_DYLP_TRUE OSICBC_DFLT_SOLVER_DYLP_FALSE OSICBC_DFLT_SOLVER_GLPK_TRUE OSICBC_DFLT_SOLVER_GLPK_FALSE OSICBC_DFLT_SOLVER_GRB_TRUE OSICBC_DFLT_SOLVER_GRB_FALSE OSICBC_DFLT_SOLVER_MSK_TRUE OSICBC_DFLT_SOLVER_MSK_FALSE OSICBC_DFLT_SOLVER_SPX_TRUE OSICBC_DFLT_SOLVER_SPX_FALSE OSICBC_DFLT_SOLVER_SYM_TRUE OSICBC_DFLT_SOLVER_SYM_FALSE OSICBC_DFLT_SOLVER_VOL_TRUE OSICBC_DFLT_SOLVER_VOL_FALSE OSICBC_DFLT_SOLVER_XPR_TRUE OSICBC_DFLT_SOLVER_XPR_FALSE coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    476476ac_subst_files=''
    477477
     
    10951095                          optimize for fast installation [default=yes]
    10961096  --disable-libtool-lock  avoid locking (might break parallel builds)
    1097   --disable-dependency-linking
    1098                           disable linking library dependencies into shared
    1099                           libraries
    11001097  --disable-pkg-config    disable use of pkg-config (if available)
    11011098  --disable-interpackage-dependencies
     
    40934090fi
    40944091
    4095 # correct the LD variable in a build with MS or Intel-windows compiler
     4092# correct the LD variable in a build with MS or intel compiler
    40964093case "$CXX" in
    40974094  clang* ) ;;
     
    41404137            ;;
    41414138          *gcc*)
    4142             if test x"$enable_dependency_linking" = xyes; then
     4139            if test x"$enable_dependency_linking" = xyes; then
    41434140              coin_disable_shared=no
    41444141            else
     
    58765873*-*-irix6*)
    58775874  # Find out which ABI we are using.
    5878   echo '#line 5878 "configure"' > conftest.$ac_ext
     5875  echo '#line 5875 "configure"' > conftest.$ac_ext
    58795876  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    58805877  (eval $ac_compile) 2>&5
     
    70107007
    70117008# Provide some information about the compiler.
    7012 echo "$as_me:7012:" \
     7009echo "$as_me:7009:" \
    70137010     "checking for Fortran 77 compiler version" >&5
    70147011ac_compiler=`set X $ac_compile; echo $2`
     
    80778074   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    80788075   -e 's:$: $lt_compiler_flag:'`
    8079    (eval echo "\"\$as_me:8079: $lt_compile\"" >&5)
     8076   (eval echo "\"\$as_me:8076: $lt_compile\"" >&5)
    80808077   (eval "$lt_compile" 2>conftest.err)
    80818078   ac_status=$?
    80828079   cat conftest.err >&5
    8083    echo "$as_me:8083: \$? = $ac_status" >&5
     8080   echo "$as_me:8080: \$? = $ac_status" >&5
    80848081   if (exit $ac_status) && test -s "$ac_outfile"; then
    80858082     # The compiler can only warn and ignore the option if not recognized
     
    83458342   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83468343   -e 's:$: $lt_compiler_flag:'`
    8347    (eval echo "\"\$as_me:8347: $lt_compile\"" >&5)
     8344   (eval echo "\"\$as_me:8344: $lt_compile\"" >&5)
    83488345   (eval "$lt_compile" 2>conftest.err)
    83498346   ac_status=$?
    83508347   cat conftest.err >&5
    8351    echo "$as_me:8351: \$? = $ac_status" >&5
     8348   echo "$as_me:8348: \$? = $ac_status" >&5
    83528349   if (exit $ac_status) && test -s "$ac_outfile"; then
    83538350     # The compiler can only warn and ignore the option if not recognized
     
    84498446   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    84508447   -e 's:$: $lt_compiler_flag:'`
    8451    (eval echo "\"\$as_me:8451: $lt_compile\"" >&5)
     8448   (eval echo "\"\$as_me:8448: $lt_compile\"" >&5)
    84528449   (eval "$lt_compile" 2>out/conftest.err)
    84538450   ac_status=$?
    84548451   cat out/conftest.err >&5
    8455    echo "$as_me:8455: \$? = $ac_status" >&5
     8452   echo "$as_me:8452: \$? = $ac_status" >&5
    84568453   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    84578454   then
     
    1079410791  lt_status=$lt_dlunknown
    1079510792  cat > conftest.$ac_ext <<EOF
    10796 #line 10796 "configure"
     10793#line 10793 "configure"
    1079710794#include "confdefs.h"
    1079810795
     
    1089410891  lt_status=$lt_dlunknown
    1089510892  cat > conftest.$ac_ext <<EOF
    10896 #line 10896 "configure"
     10893#line 10893 "configure"
    1089710894#include "confdefs.h"
    1089810895
     
    1323813235   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1323913236   -e 's:$: $lt_compiler_flag:'`
    13240    (eval echo "\"\$as_me:13240: $lt_compile\"" >&5)
     13237   (eval echo "\"\$as_me:13237: $lt_compile\"" >&5)
    1324113238   (eval "$lt_compile" 2>conftest.err)
    1324213239   ac_status=$?
    1324313240   cat conftest.err >&5
    13244    echo "$as_me:13244: \$? = $ac_status" >&5
     13241   echo "$as_me:13241: \$? = $ac_status" >&5
    1324513242   if (exit $ac_status) && test -s "$ac_outfile"; then
    1324613243     # The compiler can only warn and ignore the option if not recognized
     
    1334213339   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1334313340   -e 's:$: $lt_compiler_flag:'`
    13344    (eval echo "\"\$as_me:13344: $lt_compile\"" >&5)
     13341   (eval echo "\"\$as_me:13341: $lt_compile\"" >&5)
    1334513342   (eval "$lt_compile" 2>out/conftest.err)
    1334613343   ac_status=$?
    1334713344   cat out/conftest.err >&5
    13348    echo "$as_me:13348: \$? = $ac_status" >&5
     13345   echo "$as_me:13345: \$? = $ac_status" >&5
    1334913346   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1335013347   then
     
    1491214909   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1491314910   -e 's:$: $lt_compiler_flag:'`
    14914    (eval echo "\"\$as_me:14914: $lt_compile\"" >&5)
     14911   (eval echo "\"\$as_me:14911: $lt_compile\"" >&5)
    1491514912   (eval "$lt_compile" 2>conftest.err)
    1491614913   ac_status=$?
    1491714914   cat conftest.err >&5
    14918    echo "$as_me:14918: \$? = $ac_status" >&5
     14915   echo "$as_me:14915: \$? = $ac_status" >&5
    1491914916   if (exit $ac_status) && test -s "$ac_outfile"; then
    1492014917     # The compiler can only warn and ignore the option if not recognized
     
    1501615013   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1501715014   -e 's:$: $lt_compiler_flag:'`
    15018    (eval echo "\"\$as_me:15018: $lt_compile\"" >&5)
     15015   (eval echo "\"\$as_me:15015: $lt_compile\"" >&5)
    1501915016   (eval "$lt_compile" 2>out/conftest.err)
    1502015017   ac_status=$?
    1502115018   cat out/conftest.err >&5
    15022    echo "$as_me:15022: \$? = $ac_status" >&5
     15019   echo "$as_me:15019: \$? = $ac_status" >&5
    1502315020   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1502415021   then
     
    1722317220   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1722417221   -e 's:$: $lt_compiler_flag:'`
    17225    (eval echo "\"\$as_me:17225: $lt_compile\"" >&5)
     17222   (eval echo "\"\$as_me:17222: $lt_compile\"" >&5)
    1722617223   (eval "$lt_compile" 2>conftest.err)
    1722717224   ac_status=$?
    1722817225   cat conftest.err >&5
    17229    echo "$as_me:17229: \$? = $ac_status" >&5
     17226   echo "$as_me:17226: \$? = $ac_status" >&5
    1723017227   if (exit $ac_status) && test -s "$ac_outfile"; then
    1723117228     # The compiler can only warn and ignore the option if not recognized
     
    1749117488   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1749217489   -e 's:$: $lt_compiler_flag:'`
    17493    (eval echo "\"\$as_me:17493: $lt_compile\"" >&5)
     17490   (eval echo "\"\$as_me:17490: $lt_compile\"" >&5)
    1749417491   (eval "$lt_compile" 2>conftest.err)
    1749517492   ac_status=$?
    1749617493   cat conftest.err >&5
    17497    echo "$as_me:17497: \$? = $ac_status" >&5
     17494   echo "$as_me:17494: \$? = $ac_status" >&5
    1749817495   if (exit $ac_status) && test -s "$ac_outfile"; then
    1749917496     # The compiler can only warn and ignore the option if not recognized
     
    1759517592   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1759617593   -e 's:$: $lt_compiler_flag:'`
    17597    (eval echo "\"\$as_me:17597: $lt_compile\"" >&5)
     17594   (eval echo "\"\$as_me:17594: $lt_compile\"" >&5)
    1759817595   (eval "$lt_compile" 2>out/conftest.err)
    1759917596   ac_status=$?
    1760017597   cat out/conftest.err >&5
    17601    echo "$as_me:17601: \$? = $ac_status" >&5
     17598   echo "$as_me:17598: \$? = $ac_status" >&5
    1760217599   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1760317600   then
     
    2028720284    *-mingw*)
    2028820285      CYGPATH_W=echo
     20286      mydos2unix=
    2028920287      ;;
    2029020288  esac
     
    2049020488  # On Cygwin and AIX, building DLLs doesn't work
    2049120489  dependency_linking=no
    20492   if test x"$coin_disable_shared" = xno; then
     20490  if test x"$enable_shared" = xyes; then
    2049320491    case $build in
    2049420492      *-cygwin* | *-mingw*)
    2049520493        case "$CC" in
    2049620494          clang* )
    20497             dependency_linking=yes
     20495            dependency_linking=yes
    2049820496            ;;
    2049920497          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20500             dependency_linking=no
     20498            dependency_linking=no
    2050120499            ;;
    2050220500          *gcc*)
    20503             dependency_linking=yes
     20501            dependency_linking=yes
    2050420502            ;;
    2050520503          *)
    20506             dependency_linking=yes
     20504            dependency_linking=yes
    2050720505            ;;
    2050820506        esac
     
    3045730455fi
    3045830456
    30459 # Extract the first word of "latex", so it can be a program name with args.
    30460 set dummy latex; ac_word=$2
    30461 echo "$as_me:$LINENO: checking for $ac_word" >&5
    30462 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    30463 if test "${ac_cv_prog_coin_have_latex+set}" = set; then
    30464   echo $ECHO_N "(cached) $ECHO_C" >&6
    30465 else
    30466   if test -n "$coin_have_latex"; then
    30467   ac_cv_prog_coin_have_latex="$coin_have_latex" # Let the user override the test.
    30468 else
    30469 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    30470 for as_dir in $PATH
    30471 do
    30472   IFS=$as_save_IFS
    30473   test -z "$as_dir" && as_dir=.
    30474   for ac_exec_ext in '' $ac_executable_extensions; do
    30475   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    30476     ac_cv_prog_coin_have_latex="yes"
    30477     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    30478     break 2
    30479   fi
    30480 done
    30481 done
    30482 
    30483   test -z "$ac_cv_prog_coin_have_latex" && ac_cv_prog_coin_have_latex="no"
    30484 fi
    30485 fi
    30486 coin_have_latex=$ac_cv_prog_coin_have_latex
    30487 if test -n "$coin_have_latex"; then
    30488   echo "$as_me:$LINENO: result: $coin_have_latex" >&5
    30489 echo "${ECHO_T}$coin_have_latex" >&6
    30490 else
    30491   echo "$as_me:$LINENO: result: no" >&5
    30492 echo "${ECHO_T}no" >&6
    30493 fi
    30494 
    3049530457
    3049630458# Look for the dot tool from the graphviz package, unless the user has
     
    3055730519
    3055830520
    30559 
    30560 if test $coin_have_doxygen = yes; then
    30561   COIN_HAS_DOXYGEN_TRUE=
    30562   COIN_HAS_DOXYGEN_FALSE='#'
    30563 else
    30564   COIN_HAS_DOXYGEN_TRUE='#'
    30565   COIN_HAS_DOXYGEN_FALSE=
    30566 fi
    30567 
    30568 
    30569 
    30570 if test $coin_have_latex = yes; then
    30571   COIN_HAS_LATEX_TRUE=
    30572   COIN_HAS_LATEX_FALSE='#'
    30573 else
    30574   COIN_HAS_LATEX_TRUE='#'
    30575   COIN_HAS_LATEX_FALSE=
    30576 fi
    30577 
    30578 
    3057930521# Process the list of project names and massage them into possible doxygen
    3058030522# doc'n directories. Prefer 1) classic external, source processed using
     
    3059630538  doxytag=${lc_proj}_doxy.tag
    3059730539  doxyfound=no
    30598   # proj will be configured, hence doxydoc present in build tree
    30599   doxysrcdir="${srcdir}/../${proj}"
    30600   # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
    30601   if test -d "$doxysrcdir" ; then
    30602     # with a doxydoc directory?
    30603     doxydir="$doxysrcdir/doxydoc"
    30604     # AC_MSG_NOTICE([Considering $doxydir (base)])
    30605     # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
    30606     if test -d "$doxydir" ; then
    30607       # use tag file; don't process source
    30608       doxydir="../${proj}/doxydoc"
    30609       coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=../../$doxydir/html"
    30610       echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     30540  for chkProj in $coin_subdirs ; do
     30541    if test "$chkProj" = "$proj" ; then
     30542      # proj will be configured, hence doxydoc present in build tree
     30543      doxysrcdir="${srcdir}/${proj}"
     30544      # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
     30545      if test -d "$doxysrcdir" ; then
     30546        # with a doxydoc directory?
     30547        doxydir="$doxysrcdir/doxydoc"
     30548        # AC_MSG_NOTICE([Considering $doxydir (base)])
     30549        # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
     30550        if test -d "$doxydir" ; then
     30551          # use tag file; don't process source
     30552          eval doxydir="`pwd`/${proj}/doxydoc"
     30553          coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
     30554          echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
    3061130555echo "${ECHO_T}$doxydir (tag)" >&6
    30612       coin_doxy_excludes="$coin_doxy_excludes */${proj}"
    30613     else
    30614       # will process the source -- nothing further to be done here
    30615       echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
     30556          coin_doxy_excludes="$coin_doxy_excludes */${proj}"
     30557        else
     30558          # will process the source -- nothing further to be done here
     30559          echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
    3061630560echo "${ECHO_T}$doxysrcdir (src)" >&6
     30561        fi
     30562        doxyfound=yes
     30563      fi
    3061730564    fi
    30618     doxyfound=yes
    30619   fi
     30565  done
    3062030566  # Not built, fall back to installed tag file
    3062130567  if test $doxyfound = no ; then
     
    3116331109Usually this means the macro was only invoked conditionally." >&5
    3116431110echo "$as_me: error: conditional \"OSICBC_DFLT_SOLVER_XPR\" was never defined.
    31165 Usually this means the macro was only invoked conditionally." >&2;}
    31166    { (exit 1); exit 1; }; }
    31167 fi
    31168 if test -z "${COIN_HAS_DOXYGEN_TRUE}" && test -z "${COIN_HAS_DOXYGEN_FALSE}"; then
    31169   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
    31170 Usually this means the macro was only invoked conditionally." >&5
    31171 echo "$as_me: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
    31172 Usually this means the macro was only invoked conditionally." >&2;}
    31173    { (exit 1); exit 1; }; }
    31174 fi
    31175 if test -z "${COIN_HAS_LATEX_TRUE}" && test -z "${COIN_HAS_LATEX_FALSE}"; then
    31176   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_LATEX\" was never defined.
    31177 Usually this means the macro was only invoked conditionally." >&5
    31178 echo "$as_me: error: conditional \"COIN_HAS_LATEX\" was never defined.
    3117931111Usually this means the macro was only invoked conditionally." >&2;}
    3118031112   { (exit 1); exit 1; }; }
     
    3200931941s,@OSICBC_DFLT_SOLVER_XPR_FALSE@,$OSICBC_DFLT_SOLVER_XPR_FALSE,;t t
    3201031942s,@coin_have_doxygen@,$coin_have_doxygen,;t t
    32011 s,@coin_have_latex@,$coin_have_latex,;t t
    3201231943s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
    3201331944s,@coin_doxy_tagname@,$coin_doxy_tagname,;t t
    3201431945s,@coin_doxy_logname@,$coin_doxy_logname,;t t
    32015 s,@COIN_HAS_DOXYGEN_TRUE@,$COIN_HAS_DOXYGEN_TRUE,;t t
    32016 s,@COIN_HAS_DOXYGEN_FALSE@,$COIN_HAS_DOXYGEN_FALSE,;t t
    32017 s,@COIN_HAS_LATEX_TRUE@,$COIN_HAS_LATEX_TRUE,;t t
    32018 s,@COIN_HAS_LATEX_FALSE@,$COIN_HAS_LATEX_FALSE,;t t
    3201931946s,@coin_doxy_tagfiles@,$coin_doxy_tagfiles,;t t
    3202031947s,@coin_doxy_excludes@,$coin_doxy_excludes,;t t
  • stable/2.9/Cbc/src/Makefile.in

    r2206 r2263  
    250250COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    251251COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    252 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    253 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    254252COIN_HAS_DYLP_FALSE = @COIN_HAS_DYLP_FALSE@
    255253COIN_HAS_DYLP_TRUE = @COIN_HAS_DYLP_TRUE@
     
    258256COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    259257COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    260 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    261 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    262258COIN_HAS_MIPLIB3_FALSE = @COIN_HAS_MIPLIB3_FALSE@
    263259COIN_HAS_MIPLIB3_TRUE = @COIN_HAS_MIPLIB3_TRUE@
     
    483479coin_doxy_usedot = @coin_doxy_usedot@
    484480coin_have_doxygen = @coin_have_doxygen@
    485 coin_have_latex = @coin_have_latex@
    486481datadir = @datadir@
    487482exec_prefix = @exec_prefix@
  • stable/2.9/Cbc/src/OsiCbc/Makefile.in

    r2206 r2263  
    175175COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    176176COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    177 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    178 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    179177COIN_HAS_DYLP_FALSE = @COIN_HAS_DYLP_FALSE@
    180178COIN_HAS_DYLP_TRUE = @COIN_HAS_DYLP_TRUE@
     
    183181COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    184182COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    185 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    186 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    187183COIN_HAS_MIPLIB3_FALSE = @COIN_HAS_MIPLIB3_FALSE@
    188184COIN_HAS_MIPLIB3_TRUE = @COIN_HAS_MIPLIB3_TRUE@
     
    408404coin_doxy_usedot = @coin_doxy_usedot@
    409405coin_have_doxygen = @coin_have_doxygen@
    410 coin_have_latex = @coin_have_latex@
    411406datadir = @datadir@
    412407exec_prefix = @exec_prefix@
  • stable/2.9/Cbc/test/Makefile.in

    r2206 r2263  
    169169COIN_HAS_CPX_FALSE = @COIN_HAS_CPX_FALSE@
    170170COIN_HAS_CPX_TRUE = @COIN_HAS_CPX_TRUE@
    171 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    172 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    173171COIN_HAS_DYLP_FALSE = @COIN_HAS_DYLP_FALSE@
    174172COIN_HAS_DYLP_TRUE = @COIN_HAS_DYLP_TRUE@
     
    177175COIN_HAS_GRB_FALSE = @COIN_HAS_GRB_FALSE@
    178176COIN_HAS_GRB_TRUE = @COIN_HAS_GRB_TRUE@
    179 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    180 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    181177COIN_HAS_MIPLIB3_FALSE = @COIN_HAS_MIPLIB3_FALSE@
    182178COIN_HAS_MIPLIB3_TRUE = @COIN_HAS_MIPLIB3_TRUE@
     
    402398coin_doxy_usedot = @coin_doxy_usedot@
    403399coin_have_doxygen = @coin_have_doxygen@
    404 coin_have_latex = @coin_have_latex@
    405400datadir = @datadir@
    406401exec_prefix = @exec_prefix@
  • stable/2.9/Makefile.in

    r2175 r2263  
    114114COIN_CXX_IS_CL_FALSE = @COIN_CXX_IS_CL_FALSE@
    115115COIN_CXX_IS_CL_TRUE = @COIN_CXX_IS_CL_TRUE@
    116 COIN_HAS_DOXYGEN_FALSE = @COIN_HAS_DOXYGEN_FALSE@
    117 COIN_HAS_DOXYGEN_TRUE = @COIN_HAS_DOXYGEN_TRUE@
    118 COIN_HAS_LATEX_FALSE = @COIN_HAS_LATEX_FALSE@
    119 COIN_HAS_LATEX_TRUE = @COIN_HAS_LATEX_TRUE@
    120116COIN_SKIP_PROJECTS = @COIN_SKIP_PROJECTS@
    121117CPP = @CPP@
     
    215211coin_doxy_usedot = @coin_doxy_usedot@
    216212coin_have_doxygen = @coin_have_doxygen@
    217 coin_have_latex = @coin_have_latex@
    218213datadir = @datadir@
    219214exec_prefix = @exec_prefix@
     
    261256DISTCLEANFILES = coin_subdirs.txt $(am__append_2) \
    262257        $(VPATH_DISTCLEANFILES)
    263 DocFiles = README AUTHORS LICENSE 
     258DocFiles = README AUTHORS LICENSE
    264259DocInstallDir = $(datadir)/coin/doc/$(PACKAGE_NAME)
    265 COIN_HAS_DOXYGEN = @COIN_HAS_DOXYGEN_TRUE@TRUE
    266 COIN_HAS_LATEX = @COIN_HAS_LATEX_TRUE@TRUE
    267260all: all-recursive
    268261
     
    740733.PHONY: test unitTest tests unitTests doxydoc
    741734
    742 doxygen-docs:
    743         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    744           if test -d "doxydoc/"; then \
    745             doxygen doxydoc/doxygen.conf;\
    746           fi;\
    747         fi
    748 
    749 pdf-doxygen-docs: doxygen-docs
    750         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    751           if test -d "doxydoc/latex"; then \
    752             if test "$(COIN_HAS_LATEX)" = TRUE; then \
    753               cd doxydoc/latex;\
    754               $(MAKE) pdf;\
    755               cd -;\
    756             fi;\
    757           fi;\
    758         fi
    759 
    760 clean-doxygen-docs:
    761         if test -d "doxydoc/"; then \
    762           cd doxydoc ;\
    763           rm -rf html latex *.log *.tag;\
    764         fi
    765 
    766 install-doxygen-docs: doxygen-docs
    767         if test "$(COIN_HAS_DOXYGEN)" = TRUE; then \
    768           if test -d "doxydoc/"; then \
    769             test -d "$(DESTDIR)$(DocInstallDir)/doxydoc" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc"; \
    770             $(INSTALL_DATA) @coin_doxy_tagname@ "$(DESTDIR)$(DocInstallDir)/@coin_doxy_tagname@";\
    771             if test -f "doxydoc/latex/refman.pdf"; then \
    772               $(INSTALL_DATA) doxydoc/latex/refman.pdf "$(DESTDIR)$(DocInstallDir)";\
    773             fi;\
    774             if test -d "doxydoc/html"; then \
    775               test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/search/" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)/doxydoc/search/"; \
    776               $(INSTALL_DATA) doxydoc/html/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc";\
    777               $(INSTALL_DATA) doxydoc/html/search/*.* "$(DESTDIR)$(DocInstallDir)/doxydoc/search";\
    778             fi;\
    779           fi;\
    780         fi
    781 
    782 uninstall-doxygen-docs:
    783         if test -d "$(DESTDIR)$(DocInstallDir)/doxydoc/"; then \
    784           rm -rf "$(DESTDIR)$(DocInstallDir)/doxydoc/"; \
    785         fi
    786         if test -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; then \
    787           rm -f "$(DESTDIR)$(DocInstallDir)/refman.pdf"; \
    788         fi
    789 
    790 all-doxygen-docs:
    791         for dir in $(subdirs) ; do \
    792           do_project=true;\
    793           for proj in $(COIN_SKIP_DOXYGEN); do\
    794             if test $$dir = $$proj; then\
    795               do_project=false;\
    796             fi;\
    797           done;\
    798           if test -r $$dir/doxydoc & $$do_project = true; then \
    799             (cd $$dir ; $(MAKE) doxygen-docs) \
    800           fi ; \
    801         done ;
    802 
    803 clean-all-doxygen-docs:
    804         for dir in $(subdirs) ; do \
    805           if test -r $$dir/doxydoc ; then \
    806             (cd $$dir ; $(MAKE) clean-doxygen-docs) \
    807           fi ; \
    808         done ;
    809 
    810 install-all-doxygen-docs: all-doxygen-docs
    811         for dir in $(subdirs) ; do \
    812           do_project=true;\
    813           for proj in $(COIN_SKIP_DOXYGEN); do\
    814             if test $$dir = $$proj; then\
    815               do_project=false;\
    816             fi;\
    817           done;\
    818           if test -r $$dir/doxydoc & $$do_project = true; then \
    819             (cd $$dir ; $(MAKE) install-doxygen-docs) \
    820           fi ; \
    821         done ;
    822 
    823 uninstall-all-doxygen-docs:
    824         for dir in $(subdirs) ; do \
    825           if test -r $$dir/doxydoc ; then \
    826             (cd $$dir ; $(MAKE) uninstall-doxygen-docs) \
    827           fi ; \
    828         done ;
    829 
    830 install-doc: $(DocFiles)
     735install-doc: $(DocFiles)
    831736        test -z "$(DocInstallDir)" || $(mkdir_p) "$(DESTDIR)$(DocInstallDir)"
    832737        for file in $(DocFiles); do \
    833738          if test -f "$$file"; then dir=; else dir="$(srcdir)/"; fi; \
    834739          if test -f "$$dir$$file"; then $(INSTALL_DATA) "$$dir$$file" "$(DESTDIR)$(DocInstallDir)/$$file"; fi; \
    835         done 
     740        done
    836741
    837742uninstall-doc:
  • stable/2.9/configure

    r2261 r2263  
    490490ac_subdirs_all="$ac_subdirs_all Cgl"
    491491ac_subdirs_all="$ac_subdirs_all Cbc"
    492 ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_have_latex coin_doxy_usedot coin_doxy_tagname coin_doxy_logname COIN_HAS_DOXYGEN_TRUE COIN_HAS_DOXYGEN_FALSE COIN_HAS_LATEX_TRUE COIN_HAS_LATEX_FALSE coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
     492ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS build build_cpu build_vendor build_os CDEFS ADD_CFLAGS DBG_CFLAGS OPT_CFLAGS sol_cc_compiler CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT COIN_CC_IS_CL_TRUE COIN_CC_IS_CL_FALSE MPICC CXXDEFS ADD_CXXFLAGS DBG_CXXFLAGS OPT_CXXFLAGS CXX CXXFLAGS ac_ct_CXX COIN_CXX_IS_CL_TRUE COIN_CXX_IS_CL_FALSE MPICXX ADD_FFLAGS DBG_FFLAGS OPT_FFLAGS F77 ac_ct_F77 FFLAGS MPIF77 EGREP LN_S INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA CYGPATH_W PACKAGE VERSION ACLOCAL AUTOCONF AUTOMAKE AUTOHEADER MAKEINFO install_sh STRIP ac_ct_STRIP INSTALL_STRIP_PROGRAM mkdir_p AWK SET_MAKE am__leading_dot AMTAR am__tar am__untar DEPDIR am__include am__quote AMDEP_TRUE AMDEP_FALSE AMDEPBACKSLASH CCDEPMODE am__fastdepCC_TRUE am__fastdepCC_FALSE CXXDEPMODE am__fastdepCXX_TRUE am__fastdepCXX_FALSE MAINTAINER_MODE_TRUE MAINTAINER_MODE_FALSE MAINT LIBTOOLM4 have_autoconf have_automake have_svn BUILDTOOLSDIR AUX_DIR abs_source_dir abs_lib_dir abs_include_dir abs_bin_dir HAVE_EXTERNALS_TRUE HAVE_EXTERNALS_FALSE host host_cpu host_vendor host_os ECHO AR ac_ct_AR RANLIB ac_ct_RANLIB CPP CXXCPP LIBTOOL ac_c_preproc_warn_flag ac_cxx_preproc_warn_flag RPATH_FLAGS DEPENDENCY_LINKING_TRUE DEPENDENCY_LINKING_FALSE LT_LDFLAGS COIN_SKIP_PROJECTS subdirs coin_have_doxygen coin_doxy_usedot coin_doxy_tagname coin_doxy_logname coin_doxy_tagfiles coin_doxy_excludes LIBEXT VPATH_DISTCLEANFILES ABSBUILDDIR LIBOBJS LTLIBOBJS'
    493493ac_subst_files=''
    494494
     
    11271127                          optimize for fast installation [default=yes]
    11281128  --disable-libtool-lock  avoid locking (might break parallel builds)
    1129   --disable-dependency-linking
    1130                           disable linking library dependencies into shared
    1131                           libraries
    11321129
    11331130Optional Packages:
     
    39453942fi
    39463943
    3947 # correct the LD variable in a build with MS or Intel-windows compiler
     3944# correct the LD variable in a build with MS or intel compiler
    39483945case "$CXX" in
    39493946  clang* ) ;;
     
    39653962  *-cygwin* | *-mingw*)
    39663963     if test "$enable_msvc" = yes ; then
    3967        coin_f77_comps="ifort fl32 compile_f2c"
     3964       coin_f77_comps="ifort fl32 compile_f2c gfortran g95 g77"
    39683965     else
    39693966       coin_f77_comps="gfortran ifort g95 g77 fl32 compile_f2c"
     
    41894186
    41904187# Provide some information about the compiler.
    4191 echo "$as_me:4191:" \
     4188echo "$as_me:4188:" \
    41924189     "checking for Fortran 77 compiler version" >&5
    41934190ac_compiler=`set X $ac_compile; echo $2`
     
    46314628
    46324629# correct the LD variable if we use the intel fortran compiler in windows
    4633 case $build in
    4634   *-cygwin* | *-mingw*)
    4635     case "$F77" in
    4636       ifort* | */ifort* | IFORT* | */IFORT*)
    4637         LD=link
    4638       ;;
    4639     esac
    4640   ;;
     4630case "$F77" in
     4631  ifort* | */ifort* | IFORT* | */IFORT*)
     4632    LD=link
     4633    ;;
    46414634esac
    46424635
     
    46814674            ;;
    46824675          *gcc*)
    4683             if test x"$enable_dependency_linking" = xyes; then
     4676            if test x"$enable_dependency_linking" = xyes; then
    46844677              coin_disable_shared=no
    46854678            else
     
    64176410*-*-irix6*)
    64186411  # Find out which ABI we are using.
    6419   echo '#line 6419 "configure"' > conftest.$ac_ext
     6412  echo '#line 6412 "configure"' > conftest.$ac_ext
    64206413  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    64216414  (eval $ac_compile) 2>&5
     
    83818374   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    83828375   -e 's:$: $lt_compiler_flag:'`
    8383    (eval echo "\"\$as_me:8383: $lt_compile\"" >&5)
     8376   (eval echo "\"\$as_me:8376: $lt_compile\"" >&5)
    83848377   (eval "$lt_compile" 2>conftest.err)
    83858378   ac_status=$?
    83868379   cat conftest.err >&5
    8387    echo "$as_me:8387: \$? = $ac_status" >&5
     8380   echo "$as_me:8380: \$? = $ac_status" >&5
    83888381   if (exit $ac_status) && test -s "$ac_outfile"; then
    83898382     # The compiler can only warn and ignore the option if not recognized
     
    86498642   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    86508643   -e 's:$: $lt_compiler_flag:'`
    8651    (eval echo "\"\$as_me:8651: $lt_compile\"" >&5)
     8644   (eval echo "\"\$as_me:8644: $lt_compile\"" >&5)
    86528645   (eval "$lt_compile" 2>conftest.err)
    86538646   ac_status=$?
    86548647   cat conftest.err >&5
    8655    echo "$as_me:8655: \$? = $ac_status" >&5
     8648   echo "$as_me:8648: \$? = $ac_status" >&5
    86568649   if (exit $ac_status) && test -s "$ac_outfile"; then
    86578650     # The compiler can only warn and ignore the option if not recognized
     
    87538746   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    87548747   -e 's:$: $lt_compiler_flag:'`
    8755    (eval echo "\"\$as_me:8755: $lt_compile\"" >&5)
     8748   (eval echo "\"\$as_me:8748: $lt_compile\"" >&5)
    87568749   (eval "$lt_compile" 2>out/conftest.err)
    87578750   ac_status=$?
    87588751   cat out/conftest.err >&5
    8759    echo "$as_me:8759: \$? = $ac_status" >&5
     8752   echo "$as_me:8752: \$? = $ac_status" >&5
    87608753   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    87618754   then
     
    1109811091  lt_status=$lt_dlunknown
    1109911092  cat > conftest.$ac_ext <<EOF
    11100 #line 11100 "configure"
     11093#line 11093 "configure"
    1110111094#include "confdefs.h"
    1110211095
     
    1119811191  lt_status=$lt_dlunknown
    1119911192  cat > conftest.$ac_ext <<EOF
    11200 #line 11200 "configure"
     11193#line 11193 "configure"
    1120111194#include "confdefs.h"
    1120211195
     
    1354213535   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1354313536   -e 's:$: $lt_compiler_flag:'`
    13544    (eval echo "\"\$as_me:13544: $lt_compile\"" >&5)
     13537   (eval echo "\"\$as_me:13537: $lt_compile\"" >&5)
    1354513538   (eval "$lt_compile" 2>conftest.err)
    1354613539   ac_status=$?
    1354713540   cat conftest.err >&5
    13548    echo "$as_me:13548: \$? = $ac_status" >&5
     13541   echo "$as_me:13541: \$? = $ac_status" >&5
    1354913542   if (exit $ac_status) && test -s "$ac_outfile"; then
    1355013543     # The compiler can only warn and ignore the option if not recognized
     
    1364613639   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1364713640   -e 's:$: $lt_compiler_flag:'`
    13648    (eval echo "\"\$as_me:13648: $lt_compile\"" >&5)
     13641   (eval echo "\"\$as_me:13641: $lt_compile\"" >&5)
    1364913642   (eval "$lt_compile" 2>out/conftest.err)
    1365013643   ac_status=$?
    1365113644   cat out/conftest.err >&5
    13652    echo "$as_me:13652: \$? = $ac_status" >&5
     13645   echo "$as_me:13645: \$? = $ac_status" >&5
    1365313646   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1365413647   then
     
    1521615209   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1521715210   -e 's:$: $lt_compiler_flag:'`
    15218    (eval echo "\"\$as_me:15218: $lt_compile\"" >&5)
     15211   (eval echo "\"\$as_me:15211: $lt_compile\"" >&5)
    1521915212   (eval "$lt_compile" 2>conftest.err)
    1522015213   ac_status=$?
    1522115214   cat conftest.err >&5
    15222    echo "$as_me:15222: \$? = $ac_status" >&5
     15215   echo "$as_me:15215: \$? = $ac_status" >&5
    1522315216   if (exit $ac_status) && test -s "$ac_outfile"; then
    1522415217     # The compiler can only warn and ignore the option if not recognized
     
    1532015313   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1532115314   -e 's:$: $lt_compiler_flag:'`
    15322    (eval echo "\"\$as_me:15322: $lt_compile\"" >&5)
     15315   (eval echo "\"\$as_me:15315: $lt_compile\"" >&5)
    1532315316   (eval "$lt_compile" 2>out/conftest.err)
    1532415317   ac_status=$?
    1532515318   cat out/conftest.err >&5
    15326    echo "$as_me:15326: \$? = $ac_status" >&5
     15319   echo "$as_me:15319: \$? = $ac_status" >&5
    1532715320   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1532815321   then
     
    1752717520   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1752817521   -e 's:$: $lt_compiler_flag:'`
    17529    (eval echo "\"\$as_me:17529: $lt_compile\"" >&5)
     17522   (eval echo "\"\$as_me:17522: $lt_compile\"" >&5)
    1753017523   (eval "$lt_compile" 2>conftest.err)
    1753117524   ac_status=$?
    1753217525   cat conftest.err >&5
    17533    echo "$as_me:17533: \$? = $ac_status" >&5
     17526   echo "$as_me:17526: \$? = $ac_status" >&5
    1753417527   if (exit $ac_status) && test -s "$ac_outfile"; then
    1753517528     # The compiler can only warn and ignore the option if not recognized
     
    1779517788   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1779617789   -e 's:$: $lt_compiler_flag:'`
    17797    (eval echo "\"\$as_me:17797: $lt_compile\"" >&5)
     17790   (eval echo "\"\$as_me:17790: $lt_compile\"" >&5)
    1779817791   (eval "$lt_compile" 2>conftest.err)
    1779917792   ac_status=$?
    1780017793   cat conftest.err >&5
    17801    echo "$as_me:17801: \$? = $ac_status" >&5
     17794   echo "$as_me:17794: \$? = $ac_status" >&5
    1780217795   if (exit $ac_status) && test -s "$ac_outfile"; then
    1780317796     # The compiler can only warn and ignore the option if not recognized
     
    1789917892   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1790017893   -e 's:$: $lt_compiler_flag:'`
    17901    (eval echo "\"\$as_me:17901: $lt_compile\"" >&5)
     17894   (eval echo "\"\$as_me:17894: $lt_compile\"" >&5)
    1790217895   (eval "$lt_compile" 2>out/conftest.err)
    1790317896   ac_status=$?
    1790417897   cat out/conftest.err >&5
    17905    echo "$as_me:17905: \$? = $ac_status" >&5
     17898   echo "$as_me:17898: \$? = $ac_status" >&5
    1790617899   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1790717900   then
     
    2059120584    *-mingw*)
    2059220585      CYGPATH_W=echo
     20586      mydos2unix=
    2059320587      ;;
    2059420588  esac
     
    2079420788  # On Cygwin and AIX, building DLLs doesn't work
    2079520789  dependency_linking=no
    20796   if test x"$coin_disable_shared" = xno; then
     20790  if test x"$enable_shared" = xyes; then
    2079720791    case $build in
    2079820792      *-cygwin* | *-mingw*)
    2079920793        case "$CC" in
    2080020794          clang* )
    20801             dependency_linking=yes
     20795            dependency_linking=yes
    2080220796            ;;
    2080320797          cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    20804             dependency_linking=no
     20798            dependency_linking=no
    2080520799            ;;
    2080620800          *gcc*)
    20807             dependency_linking=yes
     20801            dependency_linking=yes
    2080820802            ;;
    2080920803          *)
    20810             dependency_linking=yes
     20804            dependency_linking=yes
    2081120805            ;;
    2081220806        esac
     
    2281622810fi
    2281722811
    22818 # Extract the first word of "latex", so it can be a program name with args.
    22819 set dummy latex; ac_word=$2
    22820 echo "$as_me:$LINENO: checking for $ac_word" >&5
    22821 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
    22822 if test "${ac_cv_prog_coin_have_latex+set}" = set; then
    22823   echo $ECHO_N "(cached) $ECHO_C" >&6
    22824 else
    22825   if test -n "$coin_have_latex"; then
    22826   ac_cv_prog_coin_have_latex="$coin_have_latex" # Let the user override the test.
    22827 else
    22828 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
    22829 for as_dir in $PATH
    22830 do
    22831   IFS=$as_save_IFS
    22832   test -z "$as_dir" && as_dir=.
    22833   for ac_exec_ext in '' $ac_executable_extensions; do
    22834   if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
    22835     ac_cv_prog_coin_have_latex="yes"
    22836     echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
    22837     break 2
    22838   fi
    22839 done
    22840 done
    22841 
    22842   test -z "$ac_cv_prog_coin_have_latex" && ac_cv_prog_coin_have_latex="no"
    22843 fi
    22844 fi
    22845 coin_have_latex=$ac_cv_prog_coin_have_latex
    22846 if test -n "$coin_have_latex"; then
    22847   echo "$as_me:$LINENO: result: $coin_have_latex" >&5
    22848 echo "${ECHO_T}$coin_have_latex" >&6
    22849 else
    22850   echo "$as_me:$LINENO: result: no" >&5
    22851 echo "${ECHO_T}no" >&6
    22852 fi
    22853 
    2285422812
    2285522813# Look for the dot tool from the graphviz package, unless the user has
     
    2291622874
    2291722875
    22918 
    22919 if test $coin_have_doxygen = yes; then
    22920   COIN_HAS_DOXYGEN_TRUE=
    22921   COIN_HAS_DOXYGEN_FALSE='#'
    22922 else
    22923   COIN_HAS_DOXYGEN_TRUE='#'
    22924   COIN_HAS_DOXYGEN_FALSE=
    22925 fi
    22926 
    22927 
    22928 
    22929 if test $coin_have_latex = yes; then
    22930   COIN_HAS_LATEX_TRUE=
    22931   COIN_HAS_LATEX_FALSE='#'
    22932 else
    22933   COIN_HAS_LATEX_TRUE='#'
    22934   COIN_HAS_LATEX_FALSE=
    22935 fi
    22936 
    22937 
    2293822876# Process the list of project names and massage them into possible doxygen
    2293922877# doc'n directories. Prefer 1) classic external, source processed using
     
    2295522893  doxytag=${lc_proj}_doxy.tag
    2295622894  doxyfound=no
    22957   # proj will be configured, hence doxydoc present in build tree
    22958   doxysrcdir="${srcdir}/../${proj}"
    22959   # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
    22960   if test -d "$doxysrcdir" ; then
    22961     # with a doxydoc directory?
    22962     doxydir="$doxysrcdir/doxydoc"
    22963     # AC_MSG_NOTICE([Considering $doxydir (base)])
    22964     # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
    22965     if test -d "$doxydir" ; then
    22966       # use tag file; don't process source
    22967       doxydir="../${proj}/doxydoc"
    22968       coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=../../$doxydir/html"
    22969       echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
     22895  for chkProj in $coin_subdirs ; do
     22896    if test "$chkProj" = "$proj" ; then
     22897      # proj will be configured, hence doxydoc present in build tree
     22898      doxysrcdir="${srcdir}/${proj}"
     22899      # AC_MSG_NOTICE([Considering $doxysrcdir (base)])
     22900      if test -d "$doxysrcdir" ; then
     22901        # with a doxydoc directory?
     22902        doxydir="$doxysrcdir/doxydoc"
     22903        # AC_MSG_NOTICE([Considering $doxydir (base)])
     22904        # AC_MSG_NOTICE([Subdirs: $coin_subdirs)])
     22905        if test -d "$doxydir" ; then
     22906          # use tag file; don't process source
     22907          eval doxydir="`pwd`/${proj}/doxydoc"
     22908          coin_doxy_tagfiles="$coin_doxy_tagfiles $doxydir/$doxytag=$doxydir/html"
     22909          echo "$as_me:$LINENO: result: $doxydir (tag)" >&5
    2297022910echo "${ECHO_T}$doxydir (tag)" >&6
    22971       coin_doxy_excludes="$coin_doxy_excludes */${proj}"
    22972     else
    22973       # will process the source -- nothing further to be done here
    22974       echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
     22911          coin_doxy_excludes="$coin_doxy_excludes */${proj}"
     22912        else
     22913          # will process the source -- nothing further to be done here
     22914          echo "$as_me:$LINENO: result: $doxysrcdir (src)" >&5
    2297522915echo "${ECHO_T}$doxysrcdir (src)" >&6
     22916        fi
     22917        doxyfound=yes
     22918      fi
    2297622919    fi
    22977     doxyfound=yes
    22978   fi
     22920  done
    2297922921  # Not built, fall back to installed tag file
    2298022922  if test $doxyfound = no ; then
     
    2324123183Usually this means the macro was only invoked conditionally." >&5
    2324223184echo "$as_me: error: conditional \"DEPENDENCY_LINKING\" was never defined.
    23243 Usually this means the macro was only invoked conditionally." >&2;}
    23244    { (exit 1); exit 1; }; }
    23245 fi
    23246 if test -z "${COIN_HAS_DOXYGEN_TRUE}" && test -z "${COIN_HAS_DOXYGEN_FALSE}"; then
    23247   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
    23248 Usually this means the macro was only invoked conditionally." >&5
    23249 echo "$as_me: error: conditional \"COIN_HAS_DOXYGEN\" was never defined.
    23250 Usually this means the macro was only invoked conditionally." >&2;}
    23251    { (exit 1); exit 1; }; }
    23252 fi
    23253 if test -z "${COIN_HAS_LATEX_TRUE}" && test -z "${COIN_HAS_LATEX_FALSE}"; then
    23254   { { echo "$as_me:$LINENO: error: conditional \"COIN_HAS_LATEX\" was never defined.
    23255 Usually this means the macro was only invoked conditionally." >&5
    23256 echo "$as_me: error: conditional \"COIN_HAS_LATEX\" was never defined.
    2325723185Usually this means the macro was only invoked conditionally." >&2;}
    2325823186   { (exit 1); exit 1; }; }
     
    2389223820s,@subdirs@,$subdirs,;t t
    2389323821s,@coin_have_doxygen@,$coin_have_doxygen,;t t
    23894 s,@coin_have_latex@,$coin_have_latex,;t t
    2389523822s,@coin_doxy_usedot@,$coin_doxy_usedot,;t t
    2389623823s,@coin_doxy_tagname@,$coin_doxy_tagname,;t t
    2389723824s,@coin_doxy_logname@,$coin_doxy_logname,;t t
    23898 s,@COIN_HAS_DOXYGEN_TRUE@,$COIN_HAS_DOXYGEN_TRUE,;t t
    23899 s,@COIN_HAS_DOXYGEN_FALSE@,$COIN_HAS_DOXYGEN_FALSE,;t t
    23900 s,@COIN_HAS_LATEX_TRUE@,$COIN_HAS_LATEX_TRUE,;t t
    23901 s,@COIN_HAS_LATEX_FALSE@,$COIN_HAS_LATEX_FALSE,;t t
    2390223825s,@coin_doxy_tagfiles@,$coin_doxy_tagfiles,;t t
    2390323826s,@coin_doxy_excludes@,$coin_doxy_excludes,;t t
Note: See TracChangeset for help on using the changeset viewer.